Name:		oracle-preinstall
Version:	0.3
Release:	alt2

Summary:	Oracle pre-install scripts
License:	GPL
Group:		Databases
Url:		http://www.lrn.ru/~migor/

BuildArch:	noarch

%define ORACLE oracle
%define ORAINVENTORY oinstall
%define OSDBA dba
%define OSOPER oper
%define APACHE apache
%define HOMEDIR /opt/%ORACLE
%define INVENTORY /etc/oraInst.loc
%define JAVA_HOME /usr/local/java

# Environment set
Source0:	oracle.i18n
Source1:	oracle8.sh
Source2:	oracle8.csh
Source3:	oracle9.sh
Source4:	oracle9.csh
Source5:        oracle10.sh
Source6:        oracle10.csh
# Scripts
Source10:	calc-sysctl
Source11:	oracle-db
Source12:	oracle-lsnr
Source13:	oracle-http
Source15:	oracle-agent
# Documentation
Source20:	README
Source21:	README.8i
Source22:	README.9i
Source23:       README.10g

Requires: gcc make findutils gawk glibc-devel XFree86-libs libstdc++2.96

%package -n oracle8-tuning
Summary:	Oracle8i preinstall tuning
Group:		Databases
Requires:	oracle-preinstall

%package -n oracle9-tuning
Summary:	Oracle9i preinstall tuning
Group:		Databases
Requires:	oracle-preinstall

%package -n oracle10-tuning
Summary:        Oracle10g preinstall tuning
Group:          Databases
Requires:       oracle-preinstall

%description
Common scripts to install and maintenance Oracle(TM) database server
and it services.

%description -n oracle8-tuning
Environment for running Oracle 8i

%description -n oracle9-tuning
Environment for running Oracle 9i

%description -n oracle10-tuning
Environment for running Oracle 10g

%prep
%build
%install
mkdir -p $RPM_BUILD_ROOT%_initdir
mkdir -p $RPM_BUILD_ROOT%_sysconfdir/profile.d
mkdir -p $RPM_BUILD_ROOT%HOMEDIR/bin
mkdir -p $RPM_BUILD_ROOT%_docdir/%name-%version

install %SOURCE0 $RPM_BUILD_ROOT%HOMEDIR/.i18n
install %SOURCE1 %SOURCE2 %SOURCE3 %SOURCE4  %SOURCE5 %SOURCE6 $RPM_BUILD_ROOT%_sysconfdir/profile.d
install %SOURCE10 $RPM_BUILD_ROOT%HOMEDIR/bin
install %SOURCE11 %SOURCE12 %SOURCE13 %SOURCE15 $RPM_BUILD_ROOT%_initdir
install %SOURCE20 %SOURCE21 %SOURCE22 %SOURCE23 $RPM_BUILD_ROOT%_docdir/%name-%version/

%pre
/usr/sbin/groupadd -r -f %ORAINVENTORY >/dev/null 2>&1
/usr/sbin/groupadd -r -f %OSDBA >/dev/null 2>&1
/usr/sbin/groupadd -r -f %OSOPER >/dev/null 2>&1
/usr/sbin/groupadd -r -f %APACHE >/dev/null 2>&1

/usr/sbin/useradd -g %ORAINVENTORY -G %OSDBA -d %HOMEDIR -r \
	-c "Oracle database server" -n %ORACLE >/dev/null 2>&1 ||:
/usr/sbin/useradd -g %ORAINVENTORY -G %APACHE -d %HTDOCS -r \
	-c "Oracle HTTP server" %APACHE >/dev/null 2>&1 ||:

/bin/chmod 755 %HOMEDIR
/bin/mkdir -p %HOMEDIR/bin
/bin/chown -R %ORACLE:%ORAINVENTORY %HOMEDIR

%post
if [ $1 = 1 ]; then
	/sbin/chkconfig oracle-db --add
	/sbin/chkconfig oracle-lsnr --add
fi
echo "inventory_loc=%HOMEDIR/app/oraInventory
inst_group=%ORAINVENTORY" > %INVENTORY.rpmnew
chown %ORACLE %INVENTORY.rpmnew
chmod 644 %INVENTORY.rpmnew
[ -e "%INVENTORY" ] || mv %INVENTORY.rpmnew %INVENTORY
[ -e "%JAVA_HOME" ] || ln -fs %HOMEDIR/app/jre/1.1.8 %JAVA_HOME
echo "
oracle	soft	nproc	16384
oracle	hard	nproc	16384
oracle	soft	nofile	65536
oracle	hard	nofile	65536
" >> /etc/security/limits.conf

%preun
%preun_service oracle-agent
%preun_service oracle-http
%preun_service oracle-lsnr
%preun_service oracle-db

%files
%defattr(644,root,root)
%attr(755,root,root) %_initdir/*
%attr(755,%ORACLE,%ORAINVENTORY) %HOMEDIR/bin/calc-sysctl
%attr(644,%ORACLE,%ORAINVENTORY) %HOMEDIR/.i18n
%_docdir/%name-%version/README

%files -n oracle8-tuning
%defattr(755,root,root)
%config(noreplace) %_sysconfdir/profile.d/oracle8.sh
%config(noreplace) %_sysconfdir/profile.d/oracle8.csh
%attr(644,root,root) %_docdir/%name-%version/README.8i

%files -n oracle9-tuning
%defattr(755,root,root)
%config(noreplace) %_sysconfdir/profile.d/oracle9.sh
%config(noreplace) %_sysconfdir/profile.d/oracle9.csh
%attr(644,root,root) %_docdir/%name-%version/README.9i

%files -n oracle10-tuning
%defattr(755,root,root)
%config(noreplace) %_sysconfdir/profile.d/oracle10.sh
%config(noreplace) %_sysconfdir/profile.d/oracle10.csh
%attr(644,root,root) %_docdir/%name-%version/README.10g

%changelog
* Fri Jul 29 2005 Igor Muratov <migor@altlinux.org> 0.3-alt2
- Fix for bug #7498

* Mon Jul  19 2004 Yury Shramko <yshr@altlinux.ru> 0.3-alt1
- Add support for 10g 

* Fri Aug  8 2003 Igor Muratov <migor@altlinux.ru> 0.2-alt6
- Fix useradd options in package preinstall script

* Thu Apr 10 2003 Igor Muratov <migor@altlinux.ru> 0.2-alt5
- Add limits (by Michael Shigorin) at %post
- Add requirements for pdksh and libstdc++2.96 (by Michael Shigorin)
- Change oracle users's locale to en_EN

* Fri Dec 27 2002 Igor Muratov <migor@altlinux.ru> 0.2-alt4
- Summary string at spec file fix
- Initscripts fix
- Initscript for CManager was removed

* Mon Nov 11 2002 Stanislav Ievlev <inger@altlinux.ru> 0.2-alt3
- rebuild

* Mon May 27 2002 Igor Muratov <migor@altlinux.ru> 0.2-alt2
- New script for Oracle Intellegent Agent
- New script for Oracle CManager
- Split to common and version depend packages
- Code cleanup

* Sat May 18 2002 Igor Muratov <migor@altlinux.ru> 0.2-alt1
- New script for Apache http-server provided by Oracle
- Bugfix in oracledb

* Sun May  5 2002 Igor Muratov <migor@altlinux.ru> 0.1-alt2
- Bugfix in README

* Sat May  4 2002 Igor Muratov <migor@altlinux.ru> 0.1-alt1
- Initial spec file.
